
import HCardStack;
import HStdCard;

public class HStdCardStack extends HCardStack
{
	public HStdCardStack (int initialCapacity)
	{
		super(initialCapacity);
	}

	public HStdCardStack ()
	{
		super();
	}

	public static HStdCardStack CreateDeck()
	{
		HStdCardStack x = new HStdCardStack(52);
		int suit;
		int rank;

		suit = HStdCard.CLUB;
		for (rank = 2; rank <= HStdCard.ACE; rank ++)
			x.addElement(new HStdCard(suit, rank));

		suit = HStdCard.DIAMOND;
		for (rank = 2; rank <= HStdCard.ACE; rank ++)
			x.addElement(new HStdCard(suit, rank));

		suit = HStdCard.HEART;
		for (rank = 2; rank <= HStdCard.ACE; rank ++)
			x.addElement(new HStdCard(suit, rank));

		suit = HStdCard.SPADE;
		for (rank = 2; rank <= HStdCard.ACE; rank ++)
			x.addElement(new HStdCard(suit, rank));

		return x;
	}
}