
import java.awt.*;
import java.io.DataInputStream;
import java.io.*;
import java.util.Hashtable;
import java.util.Enumeration;
import HCardStack;

public class hbmain extends Frame
{

	// STATIC STUFF
	
	public static HStdCardStack mydeck =
		HStdCardStack.CreateDeck();
	
		
	public static void main(String[] args) throws IOException
	{

		Frame me = new hbmain();

		me.pack();
		me.resize(800,100);
		me.show();

		System.out.println("This is a test.");
		HStdCard firstcard = (HStdCard)mydeck.elementAt(0);
		System.out.println(firstcard);
		System.out.println(mydeck);
		//mydeck.shuffle();
		System.out.println("This is also a test.");
		firstcard = (HStdCard)mydeck.elementAt(0);
		System.out.println(firstcard);
		System.out.println(mydeck);

		// stop for input
		java.io.DataInputStream d = 
			new java.io.DataInputStream(System.in);
		d.readLine();
	}

	// non-static stuff

	private MediaTracker tracker;

	private Image bitblitBuffer;
	
	public hbmain()
	{
		//super();
		setLayout(new FlowLayout());
		setFont(new Font("Helvetica", Font.PLAIN, 14));
				
		tracker = new MediaTracker(this);
		
		for (Enumeration cards = mydeck.elements();
			cards.hasMoreElements();)
		{
			tracker.addImage((Image)cardImages.get(cards.nextElement()),1);
		}

		tracker.addImage(backImage, 1);
		try {
			tracker.waitForAll();
		} catch (InterruptedException e) {
			System.exit(0);
		}

		Button b1 = new Button("shuffle");
		add(b1);
		
	}
	
	public void paint(Graphics g)
	{
		if (bitblitBuffer == null)
		{
			bitblitBuffer = createImage(1000,1000);
			drawBuffer();
		}
		g.drawImage(bitblitBuffer,0,0,this);
	}

	public boolean handleEvent(Event e)
	{
		if (e.id == Event.WINDOW_DESTROY)
			System.exit(0);
		return super.handleEvent(e);
	}

	public void drawBuffer()
	{
		Graphics g = bitblitBuffer.getGraphics();
		int x=0;

		if (!tracker.checkAll())
			return;

		if (tracker.isErrorAny())
			return;

		for (Enumeration cards = mydeck.elements();
			 cards.hasMoreElements();
			 x += 10)		
			g.drawImage(
				(Image) cardImages.get(cards.nextElement()),				
				x,0,this);
	}

	public boolean action(Event e, Object o)
	{
		if (o == "shuffle")
		{
			mydeck.shuffle();
			System.out.println(mydeck);
			drawBuffer();
			repaint();
			return(true);
		} else {
			return super.handleEvent(e);
		}
	}

}