
import HCard;
import java.util.Random;
import java.util.Vector;

public class HCardStack extends Vector {
	
	public HCardStack (int initialCapacity)
	{
		super(initialCapacity);
	}

	public HCardStack ()
	{
		super();
	}

	public void shuffle ()
	{
		Random r = new Random();

		int fence, target, max;
		Object obj;

		max   = size();

		for (fence = 0; fence < max; fence ++)
		{
			target = fence + (Math.abs(r.nextInt()) % (max - fence));
			obj    = elementAt(target);
			setElementAt(elementAt(fence), target);
			setElementAt(obj,              fence );
		}
	}
}